EngineConfig (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.catalina.startup, class: EngineConfig

# Class EngineConfig

java.lang.Object
org.apache.catalina.startup.EngineConfig

All Implemented Interfaces:
  `LifecycleListener`

public class EngineConfig extends Object implements LifecycleListener
Startup event listener for an Engine that configures the properties of that Engine, and the associated defined contexts.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Engine`
  `engine`
  The Engine we are associated with.
  `protected static final StringManager`
  `sm`
  The string resources for this package.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EngineConfig()`
  Default constructor for EngineConfig.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `lifecycleEvent(LifecycleEvent event)`
  Process the START event for an associated Engine.
  `protected void`
  `start()`
  Process a "start" event for this Engine.
  `protected void`
  `stop()`
  Process a "stop" event for this Engine.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### engine

    protected Engine engine
    The Engine we are associated with.

  - ### sm

    protected static final StringManager sm
    The string resources for this package.

- ## Constructor Details

  - ### EngineConfig

    public EngineConfig()
    Default constructor for EngineConfig.

- ## Method Details

  - ### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)
    Process the START event for an associated Engine.
    Specified by:
      `lifecycleEvent` in interface `LifecycleListener`
    Parameters:
      `event` - The lifecycle event that has occurred

  - ### start

    protected void start()
    Process a "start" event for this Engine.

  - ### stop

    protected void stop()
    Process a "stop" event for this Engine.